Support » Plugin: AMP » v0.4: What’s New and Possible Breaking Changes

  • Plugin Author Mohammad Jangda

    (@batmoo)


    We’ll be pushing out 0.4 very shortly.

    The biggest updates in the new version are:

    – A refreshed template
    – The AMP Customizer

    There are, of course, lots of bug fixes (e.g. support for inline styles, tel URLs) and better handling of validation errors as well. Thank you to everyone who reported issues and submitted code/fixes.

    With the refreshed template, you can now control some of the colours of your AMP output directly from the AMP Customizer (From the Dashboard, goto Appearance > AMP). The Customizer can also be extended to support other options.

    The update did require us to make some potentially breaking markup changes to the template. If you have not made any changes to the existing template or are using a completely custom template, you’re fine.

    However, if you’ve tweaked a few things like styles or template parts (or are using other plugins like Yoast Glue, PageFrog, or AMP Toolbox), you should revert back to the old template until you get a chance to test your changes with the new version. You can continue to use the old template using this helper function:

    
    if ( function_exists( 'amp_backcompat_use_v03_templates' ) ) {
    	amp_backcompat_use_v03_templates();
    }
    

    The old template will remain available within the plugin for the foreseeable future, but we highly recommend updating the new template as soon as possible.

    (Oh, and we haven’t forgotten about Pages support. It’s still something we’re looking into; these changes just took priority.)

    • This topic was modified 6 months, 3 weeks ago by Mohammad Jangda. Reason: Fix code snippet
  • The topic ‘v0.4: What’s New and Possible Breaking Changes’ is closed to new replies.